import java.util.Date
import java.text.SimpleDateFormat

plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("io.objectbox")
    kotlin("kapt")
}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.wall.photography.picture"
    compileSdk = 36

    defaultConfig {
        //com.wall.photography.wallpapers
        applicationId = "com.wall.photography.picture"
        minSdk = 24
        targetSdk = 36
        versionCode = 3
        versionName = "1.2"

        setProperty("archivesBaseName", "Picture_v" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    buildFeatures{
        viewBinding = true
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

dependencies {

    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.11.0")
    implementation("androidx.constraintlayout:constraintlayout:2.2.1")
    testImplementation("junit:junit:4.13.2")
    implementation ("com.github.bumptech.glide:glide:5.0.5")
    implementation ("jp.wasabeef:glide-transformations:4.3.0") // Glide Transformations
    implementation("com.squareup.okhttp3:okhttp:5.3.1")
    
    // ObjectBox
    implementation("io.objectbox:objectbox-android:5.0.1")
    implementation("io.objectbox:objectbox-kotlin:5.0.1")
    kapt("io.objectbox:objectbox-processor:5.0.1")


}